Index: src/sas/qtgui/Plotting/Arrow3D.py
===================================================================
--- src/sas/qtgui/Plotting/Arrow3D.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/Arrow3D.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -29,5 +29,5 @@
         self.base = base
 
-        if base != None:
+        if base is not None:
             # To turn the updating off during dragging
             base.canvas.mpl_connect('button_press_event', self.on_left_down)
Index: src/sas/qtgui/Plotting/Binder.py
===================================================================
--- src/sas/qtgui/Plotting/Binder.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/Binder.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -233,5 +233,6 @@
         """
         # TODO: sort by zorder of axes then by zorder within axes
-        self._artists.sort(cmp=lambda x, y: cmp(y.zorder, x.zorder))
+        #self._artists.sort(cmp=lambda x, y: cmp(y.zorder, x.zorder))
+        #self._artists.sort(cmp=lambda x, y: y.zorder.__gt__(x.zorder))
         found = Selection()
         for artist in self._artists:
Index: src/sas/qtgui/Plotting/ConvertUnits.py
===================================================================
--- src/sas/qtgui/Plotting/ConvertUnits.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/ConvertUnits.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -4,5 +4,4 @@
 """
 import re
-import string
 
 def convertUnit(power, unit):
@@ -11,8 +10,8 @@
     """
     if power != 0:
-        if string.find(unit, "^") != -1:  # if the unit contains a powerer ^
+        if unit.find("^") != -1:  # if the unit contains a powerer ^
             toks = re.split("\^", unit)
-            if string.find(toks[0], "/") != -1 or \
-                string.find(toks[0], "-") != -1:
+            if toks[0].find("/") != -1 or \
+                toks[0].find("-") != -1:
                 if power == 1:
                     unit = unit
@@ -20,11 +19,11 @@
                     unit = "(" + unit + ")" + "^{" + str(power) + "}"
             else:
-                if string.find(toks[1], "{") != -1:  # if found a {
+                if toks[1].find("{") != -1:  # if found a {
                     find_power_toks = re.split("{", toks[1])
-                    if string.find(find_power_toks[1], "}") != -1:  # found }
+                    if find_power_toks[1].find("}") != -1:  # found }
                         unit_toks = re.split("}", find_power_toks[1])
-                        if string.find(unit_toks[0], ".") != -1:
+                        if unit_toks[0].find(".") != -1:
                             powerer = float(unit_toks[0]) * power
-                        elif string.find(unit_toks[0], "/") != -1:
+                        elif unit_toks[0].find("/") != -1:
                             power_toks = re.split("/", unit_toks[0])
                             powerer = power * int(power_toks[0])\
Index: src/sas/qtgui/Plotting/DataTransform.py
===================================================================
--- src/sas/qtgui/Plotting/DataTransform.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/DataTransform.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -162,5 +162,5 @@
 
     """
-    if dx == None:
+    if dx is None:
         dx = 0
     return dx
@@ -175,5 +175,5 @@
 
     """
-    if dx == None:
+    if dx is None:
         dx = 0
     return dx
@@ -188,5 +188,5 @@
 
     """
-    if  dx != None:
+    if  dx is not None:
         err = 2 * x * dx
         return math.fabs(err)
@@ -204,5 +204,5 @@
     """
     if x > 0:
-        if dx != None:
+        if dx is not None:
             err = dx / (2 * math.sqrt(x))
         else:
@@ -222,5 +222,5 @@
 
     """
-    if dx != None:
+    if dx is not None:
         err = 4 * math.pow(x, 3) * dx
         return math.fabs(err)
@@ -238,5 +238,5 @@
     """
     if x > 0:
-        if dx != None:
+        if dx is not None:
             err = dx / (4 * math.pow(x, 3 / 4))
         else:
@@ -256,5 +256,5 @@
 
     """
-    if dx == None:
+    if dx is None:
         dx = 0
 
@@ -280,5 +280,5 @@
 
     """
-    if dx == None:
+    if dx is None:
         dx = 0
 
@@ -294,7 +294,7 @@
     """
     """
-    if dx == None:
-        dx = 0
-    if dy == None:
+    if dx is None:
+        dx = 0
+    if dy is None:
         dy = 0
     err = math.sqrt((2 * x * y * dx) ** 2 + ((x ** 2) * dy) ** 2)
@@ -314,7 +314,7 @@
         raise ValueError(msg)
     if x != 0 and y != 0:
-        if dx == None:
+        if dx is None:
             dx = 0
-        if dy == None:
+        if dy is None:
             dy = 0
         err = (dx / x) ** 2 + (dy / y) ** 2
@@ -337,7 +337,7 @@
         raise ValueError(msg)
     if x > 0 and y > 0:
-        if dx == None:
+        if dx is None:
             dx = 0
-        if dy == None:
+        if dy is None:
             dy = 0
         err = (2.0 * dx / x) ** 2 + (dy / y) ** 2
@@ -353,5 +353,5 @@
     """
     if x != 0:
-        if dx == None:
+        if dx is None:
             dx = 0
         err = dx / x ** 2
@@ -367,5 +367,5 @@
     """
     if x > 0:
-        if dx == None:
+        if dx is None:
             dx = 0
         err = -1 / 2 * math.pow(x, -3.0 / 2.0) * dx
@@ -388,7 +388,7 @@
         msg += " that are consistent with zero."
         raise ValueError(msg)
-    if dx == None:
-        dx = 0
-    if dy == None:
+    if dx is None:
+        dx = 0
+    if dy is None:
         dy = 0
     err = math.sqrt((4.0 * dx / x) ** 2 + (dy / y) ** 2)
@@ -406,7 +406,7 @@
     # within errors
 
-    if dx == None:
-        dx = 0
-    if dy == None:
+    if dx is None:
+        dx = 0
+    if dy is None:
         dy = 0
     err = math.sqrt((dy * pow(x, 4)) ** 2 + (4 * y * dx * math.pow(x, 3)) ** 2)
Index: src/sas/qtgui/Plotting/Fittings.py
===================================================================
--- src/sas/qtgui/Plotting/Fittings.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/Fittings.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -22,5 +22,5 @@
         self.model = model
         self.name = name
-        if not value == None:
+        if value is not None:
             self.model.setParam(self.name, value)
 
Index: src/sas/qtgui/Plotting/PlotUtilities.py
===================================================================
--- src/sas/qtgui/Plotting/PlotUtilities.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/PlotUtilities.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -161,7 +161,7 @@
     """
     # No image matrix given
-    if image == None or numpy.ndim(image) != 2 \
+    if image is None or numpy.ndim(image) != 2 \
             or numpy.isfinite(image).all() \
-            or weights == None:
+            or weights is None:
         return image
     # Get bin size in y and x directions
Index: src/sas/qtgui/Plotting/Plottables.py
===================================================================
--- src/sas/qtgui/Plotting/Plottables.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/Plottables.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -227,9 +227,9 @@
             if p.hidden == True:
                 continue
-            if not p.x == None:
+            if not p.x is None:
                 for x_i in p.x:
-                    if min_value == None or x_i < min_value:
+                    if min_value is None or x_i < min_value:
                         min_value = x_i
-                    if max_value == None or x_i > max_value:
+                    if max_value is None or x_i > max_value:
                         max_value = x_i
         return min_value, max_value
@@ -560,6 +560,6 @@
         Returns True if there is no data stored in the plottable
         """
-        if not self.x == None and len(self.x) == 0 \
-            and not self.y == None and len(self.y) == 0:
+        if not self.x is None and len(self.x) == 0 \
+            and not self.y is None and len(self.y) == 0:
             return True
         return False
@@ -795,7 +795,7 @@
         tempy = []
         tempdy = []
-        if self.dx == None:
+        if self.dx is None:
             self.dx = numpy.zeros(len(self.x))
-        if self.dy == None:
+        if self.dy is None:
             self.dy = numpy.zeros(len(self.y))
         if self.xLabel == "log10(x)":
@@ -825,7 +825,7 @@
         tempy = []
         tempdy = []
-        if self.dx == None:
+        if self.dx is None:
             self.dx = numpy.zeros(len(self.x))
-        if self.dy == None:
+        if self.dy is None:
             self.dy = numpy.zeros(len(self.y))
         if self.yLabel == "log10(y)":
@@ -858,9 +858,9 @@
         tempy = []
         tempdy = []
-        if self.dx == None:
+        if self.dx is None:
             self.dx = numpy.zeros(len(self.x))
-        if self.dy == None:
+        if self.dy is None:
             self.dy = numpy.zeros(len(self.y))
-        if xmin != None and xmax != None:
+        if xmin is not None and xmax is not None:
             for i in range(len(self.x)):
                 if self.x[i] >= xmin and self.x[i] <= xmax:
@@ -1202,5 +1202,5 @@
         """
         """
-        if  self._chisq == None:
+        if  self._chisq is None:
             chisqTxt = r'$\chi^2=$'
         else:
Index: src/sas/qtgui/Plotting/Plotter.py
===================================================================
--- src/sas/qtgui/Plotting/Plotter.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/Plotter.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -617,5 +617,5 @@
         """
         ax = event.inaxes
-        if ax == None:
+        if ax is None:
             return
         # Event occurred inside a plotting area
@@ -652,5 +652,5 @@
         step = event.step
 
-        if ax != None:
+        if ax is not None:
             # Event occurred inside a plotting area
             lo, hi = ax.get_xlim()
Index: src/sas/qtgui/Plotting/Plotter2D.py
===================================================================
--- src/sas/qtgui/Plotting/Plotter2D.py	(revision d5c5d3dac558e84d4de22e41b9d47bbbcd007de1)
+++ src/sas/qtgui/Plotting/Plotter2D.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -281,6 +281,5 @@
         new_plot.id = "Circ avg " + self.data.name
         new_plot.is_data = True
-        variant_plot = QtCore.QVariant(new_plot)
-        GuiUtils.updateModelItemWithPlot(self._item, variant_plot, new_plot.id)
+        GuiUtils.updateModelItemWithPlot(self._item, new_plot, new_plot.id)
         self.manager.communicator.plotUpdateSignal.emit([new_plot])
 
Index: src/sas/qtgui/Plotting/PlotterData.py
===================================================================
--- src/sas/qtgui/Plotting/PlotterData.py	(revision 749b715f280e81297ccee885592a53f964909d62)
+++ src/sas/qtgui/Plotting/PlotterData.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -72,9 +72,9 @@
         result.clone_without_data(length=len(self.x), clone=self)
         result.copy_from_datainfo(data1d=self)
-        if self.dxw == None:
+        if self.dxw is None:
             result.dxw = None
         else:
             result.dxw = numpy.zeros(len(self.x))
-        if self.dxl == None:
+        if self.dxl is None:
             result.dxl = None
         else:
@@ -119,17 +119,17 @@
         tot_length = len(self.x) + len(other.x)
         result = self.clone_without_data(length=tot_length, clone=result)
-        if self.dy == None or other.dy is None:
+        if self.dy is None or other.dy is None:
             result.dy = None
         else:
             result.dy = numpy.zeros(tot_length)
-        if self.dx == None or other.dx is None:
+        if self.dx is None or other.dx is None:
             result.dx = None
         else:
             result.dx = numpy.zeros(tot_length)
-        if self.dxw == None or other.dxw is None:
+        if self.dxw is None or other.dxw is None:
             result.dxw = None
         else:
             result.dxw = numpy.zeros(tot_length)
-        if self.dxl == None or other.dxl is None:
+        if self.dxl is None or other.dxl is None:
             result.dxl = None
         else:
@@ -142,5 +142,5 @@
         result.y = numpy.append(self.y, other.y)
         result.y = result.y[ind]
-        if result.dy != None:
+        if result.dy is not None:
             result.dy = numpy.append(self.dy, other.dy)
             result.dy = result.dy[ind]
@@ -239,5 +239,5 @@
         result.ymin = self.ymin
         result.ymax = self.ymax
-        if self.dqx_data == None or self.dqy_data == None:
+        if self.dqx_data is None or self.dqy_data is None:
             result.dqx_data = None
             result.dqy_data = None
@@ -302,6 +302,6 @@
         result.ymin = self.ymin
         result.ymax = self.ymax
-        if self.dqx_data == None or self.dqy_data == None or \
-                other.dqx_data == None or other.dqy_data == None :
+        if self.dqx_data is None or self.dqy_data is None or \
+                other.dqx_data is None or other.dqy_data is None :
             result.dqx_data = None
             result.dqy_data = None
Index: src/sas/qtgui/Plotting/SlicerModel.py
===================================================================
--- src/sas/qtgui/Plotting/SlicerModel.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/SlicerModel.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -23,6 +23,6 @@
             item2 = QtGui.QStandardItem(GuiUtils.formatNumber(parameters[parameter]))
             self._model.appendRow([item1, item2])
-        self._model.setHeaderData(0, QtCore.Qt.Horizontal, QtCore.QVariant("Parameter"))
-        self._model.setHeaderData(1, QtCore.Qt.Horizontal, QtCore.QVariant("Value"))
+        self._model.setHeaderData(0, QtCore.Qt.Horizontal, "Parameter")
+        self._model.setHeaderData(1, QtCore.Qt.Horizontal, "Value")
 
     def setParamsFromModel(self, item):
Index: src/sas/qtgui/Plotting/Slicers/AnnulusSlicer.py
===================================================================
--- src/sas/qtgui/Plotting/Slicers/AnnulusSlicer.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/Slicers/AnnulusSlicer.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -145,6 +145,5 @@
         new_plot.xtransform = "x"
         new_plot.ytransform = "y"
-        variant_plot = QtCore.QVariant(new_plot)
-        GuiUtils.updateModelItemWithPlot(self._item, variant_plot, new_plot.id)
+        GuiUtils.updateModelItemWithPlot(self._item, new_plot, new_plot.id)
         self.base.manager.communicator.plotUpdateSignal.emit([new_plot])
 
Index: src/sas/qtgui/Plotting/Slicers/Arc.py
===================================================================
--- src/sas/qtgui/Plotting/Slicers/Arc.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/Slicers/Arc.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -70,7 +70,7 @@
         x = []
         y = []
-        if theta1 != None:
+        if theta1 is not None:
             self.theta1 = theta1
-        if theta2 != None:
+        if theta2 is not None:
             self.theta2 = theta2
         while self.theta2 < self.theta1:
@@ -80,5 +80,5 @@
         npts = int((self.theta2 - self.theta1) / (math.pi / 120))
 
-        if r == None:
+        if r is None:
             self.radius = math.sqrt(math.pow(self._mouse_x, 2) + \
                                      math.pow(self._mouse_y, 2))
Index: src/sas/qtgui/Plotting/Slicers/BoxSlicer.py
===================================================================
--- src/sas/qtgui/Plotting/Slicers/BoxSlicer.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/Slicers/BoxSlicer.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -190,6 +190,5 @@
         new_plot.id = (self.averager.__name__) + self.base.data.name
         new_plot.is_data = True
-        variant_plot = QtCore.QVariant(new_plot)
-        GuiUtils.updateModelItemWithPlot(self._item, variant_plot, new_plot.id)
+        GuiUtils.updateModelItemWithPlot(self._item, new_plot, new_plot.id)
 
         if self.update_model:
Index: src/sas/qtgui/Plotting/Slicers/BoxSum.py
===================================================================
--- src/sas/qtgui/Plotting/Slicers/BoxSum.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/Slicers/BoxSum.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -110,12 +110,8 @@
         parameters = self.getParams()
         # Crete/overwrite model items
-        self._model.setData(self._model.index(0, 0),
-                    QtCore.QVariant(formatNumber(parameters['Height'])))
-        self._model.setData(self._model.index(0, 1),
-                    QtCore.QVariant(formatNumber(parameters['Width'])))
-        self._model.setData(self._model.index(0, 2),
-                    QtCore.QVariant(formatNumber(parameters['center_x'])))
-        self._model.setData(self._model.index(0, 3),
-                    QtCore.QVariant(formatNumber(parameters['center_y'])))
+        self._model.setData(self._model.index(0, 0), formatNumber(parameters['Height']))
+        self._model.setData(self._model.index(0, 1), formatNumber(parameters['Width']))
+        self._model.setData(self._model.index(0, 2), formatNumber(parameters['center_x']))
+        self._model.setData(self._model.index(0, 3), formatNumber(parameters['center_y']))
 
         self.setReadOnlyParametersFromModel()
@@ -130,14 +126,9 @@
         """
         parameters = self.getParams()
-        self._model.setData(self._model.index(0, 4),
-                    QtCore.QVariant(formatNumber(parameters['avg'])))
-        self._model.setData(self._model.index(0, 5),
-                    QtCore.QVariant(formatNumber(parameters['avg_error'])))
-        self._model.setData(self._model.index(0, 6),
-                    QtCore.QVariant(formatNumber(parameters['sum'])))
-        self._model.setData(self._model.index(0, 7),
-                    QtCore.QVariant(formatNumber(parameters['sum_error'])))
-        self._model.setData(self._model.index(0, 8),
-                    QtCore.QVariant(formatNumber(parameters['num_points'])))
+        self._model.setData(self._model.index(0, 4), formatNumber(parameters['avg']))
+        self._model.setData(self._model.index(0, 5), formatNumber(parameters['avg_error']))
+        self._model.setData(self._model.index(0, 6), formatNumber(parameters['sum']))
+        self._model.setData(self._model.index(0, 7), formatNumber(parameters['sum_error']))
+        self._model.setData(self._model.index(0, 8), formatNumber(parameters['num_points']))
 
     def setParamsFromModel(self):
@@ -362,7 +353,7 @@
         Draw the new roughness on the graph.
         """
-        if center_x != None:
+        if center_x is not None:
             self.x = center_x
-        if center_y != None:
+        if center_y is not None:
             self.y = center_y
         self.center_marker.set(xdata=[self.x], ydata=[self.y])
Index: src/sas/qtgui/Plotting/Slicers/SectorSlicer.py
===================================================================
--- src/sas/qtgui/Plotting/Slicers/SectorSlicer.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/Slicers/SectorSlicer.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -125,5 +125,5 @@
         data = self.base.data
         # If we have no data, just return
-        if data == None:
+        if data is None:
             return
         # Averaging
@@ -132,5 +132,5 @@
         phimin = -self.left_line.phi + self.main_line.theta
         phimax = self.left_line.phi + self.main_line.theta
-        if nbins == None:
+        if nbins is None:
             nbins = 20
         sect = SectorQ(r_min=0.0, r_max=radius,
@@ -168,6 +168,5 @@
         new_plot.id = "SectorQ" + self.base.data.name
         new_plot.is_data = True
-        variant_plot = QtCore.QVariant(new_plot)
-        GuiUtils.updateModelItemWithPlot(self._item, variant_plot, new_plot.id)
+        GuiUtils.updateModelItemWithPlot(self._item, new_plot, new_plot.id)
         self.base.manager.communicator.plotUpdateSignal.emit([new_plot])
 
@@ -349,7 +348,7 @@
         self.left_moving = left
         theta3 = 0
-        if phi != None:
+        if phi is not None:
             self.phi = phi
-        if delta == None:
+        if delta is None:
             delta = 0
         if  right:
@@ -361,5 +360,5 @@
             self.theta = mline.theta + self.phi
 
-        if mline != None:
+        if mline is not None:
             if delta != 0:
                 self.theta2 = mline + delta
@@ -509,5 +508,5 @@
         """
 
-        if theta != None:
+        if theta is not None:
             self.theta = theta
         x1 = self.radius * numpy.cos(self.theta)
Index: src/sas/qtgui/Plotting/UnitTesting/BoxSumTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/BoxSumTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
+++ src/sas/qtgui/Plotting/UnitTesting/BoxSumTest.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -23,6 +23,5 @@
         parameters = [1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0]
         for index, parameter in enumerate(parameters):
-            model.setData(model.index(0, index),
-                    QtCore.QVariant(parameter))
+            model.setData(model.index(0, index),parameter)
         self.widget = BoxSum(None, model=model)
 
